#include <bits/stdc++.h>
using namespace std;

string s, t;
int res = 0;
unordered_map<char, char> mp;
char c = '0';

int dp[1000006];

int main() {
	ios_base::sync_with_stdio(0);
	cin.tie(0);
	cin >> s; t = s;
	for (int i = 0; i < s.size(); i++) {
		if (!mp[s[i]]) {
			mp[s[i]] = c;
			c++;
		}
		t[i] = mp[s[i]];
	}
	for (int i = 0; i < t.size(); i++) {
		dp[i] = 1;
		for (int j = 0; j < i; j++) {
			if (t[j] <= t[i]) {
				dp[i] = max(dp[i], dp[j] + 1);
			}
		}
		res = max(res, dp[i]);
	}
	cout << t.size() - res << '\n';
	return 0;
}